## openalsink openalsink — capture raw audio samples through OpenAL |

## Properties

gpointer | context-handle | Read / Write
gchar * | device | Read / Write
gpointer | device-handle | Read / Write
gchar * | device-name | Read
guint | source-id | Read / Write
gpointer | user-context | Read / Write
gpointer | user-device | Read / Write
guint | user-source | Read / Write

## Types and Values

struct | GstOpenALSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstAudioBaseSink
                            ╰── GstAudioSink
                                ╰── GstOpenALSink

## Description

This element plays raw audio samples through OpenAL.

Unfortunately the capture API doesn't have a format enumeration/check. all you can do is try opening it and see if it works.

### Example pipelines

    1
    gst-launch-1.0 audiotestsrc ! audioconvert ! volume volume=0.5 ! openalsink

will play a sine wave (continuous beep sound) through OpenAL.

    1
    gst-launch-1.0 filesrc location=stream.wav ! decodebin ! audioconvert ! openalsink

will play a wav audio file through OpenAL.

    1
    gst-launch-1.0 openalsrc ! "audio/x-raw,format=S16LE,rate=44100" ! audioconvert ! volume volume=0.25 ! openalsink

will capture and play audio through OpenAL.

## Synopsis

### Element Information

plugin | openal
author | Juan Manuel Borges Caño <juanmabcmail@gmail.com>
class | Sink/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)F64LE, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2 ]
| audio/x-raw, format=(string)F32LE, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]
| audio/x-raw, format=(string)S16LE, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]
| audio/x-raw, format=(string)U8, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstOpenALSink

    struct GstOpenALSink;

## Property Details

### The `“context-handle”` property

      “context-handle”           gpointer

Custom playback context.

Flags: Read / Write

### The `“device”` property

      “device”                   gchar *

Human-readable name of the device.

Flags: Read / Write

Default value: NULL

### The `“device-handle”` property

      “device-handle”            gpointer

Custom playback device.

Flags: Read / Write

### The `“device-name”` property

      “device-name”              gchar *

Human-readable name of the opened device.

Flags: Read

Default value: ""

### The `“source-id”` property

      “source-id”                guint

Custom playback sID.

Flags: Read / Write

Default value: 0

### The `“user-context”` property

      “user-context”             gpointer

User context.

Flags: Read / Write

### The `“user-device”` property

      “user-device”              gpointer

User device.

Flags: Read / Write

### The `“user-source”` property

      “user-source”              guint

User source.

Flags: Read / Write

Default value: 0

## See Also

openalsrc